/* Blog block */
#blog-block h2 {
  color: var(--primario);
  font-size: 2.75rem;
  font-weight: 900;
}

.blog-container {
  overflow: hidden;
  display: grid;
  grid-template-areas:
    "one two"
    "one three";
  margin-inline: auto;
  gap: 2rem;
}

.blog-item-desc {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.blog-container > .blog-item:nth-child(1) {
  grid-area: one;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: end;
  height: inherit;
  z-index: 10;
}

.blog-container > .blog-item:nth-child(1)::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(0, 0, 0, 0.35);
  border-radius: 0.5rem;
  z-index: 20;
}

.blog-container > .blog-item:nth-child(1) img {
  position: absolute;
  top: 0;
  left: 0;
  aspect-ratio: 1;
  object-fit: cover;
  object-position: center no-repeat;
  height: 100%;
  z-index: 0;
}

.blog-container > .blog-item:nth-child(1) .blog-item-desc {
  display: flex;
  justify-content: end;
  bottom: 0;
  left: 0;
  aspect-ratio: 1;
  object-fit: cover;
  object-position: center no-repeat;
  padding: 2rem;
  color: var(--white);
  z-index: 30;
}

.blog-container > .blog-item img {
  border-radius: 0.5rem;
}

.blog-container > .blog-item:nth-child(1) .blog-item-desc h3 {
  font-size: 2rem;
}

.blog-container > .blog-item:nth-child(1) .blog-item-desc span {
  color: var(--white);
  font-size: 1rem;
}

.blog-container > .blog-item:nth-child(1) .blog-item-desc p,
.blog-container > .blog-item:nth-child(1) .blog-item-desc a {
  color: var(--white);
  font-size: 1.25rem;
}

.blog-container > .blog-item:nth-child(2) {
  grid-area: two;
}

.blog-container > .blog-item:nth-child(3) {
  grid-area: three;
}

.blog-container > .blog-item:nth-child(2),
.blog-container > .blog-item:nth-child(3) {
  display: flex;
  gap: 2rem;
}

.blog-container > .blog-item:nth-child(2) img,
.blog-container > .blog-item:nth-child(3) img {
  width: 20rem;
  height: auto;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  object-position: center;
}

.blog-container > .blog-item .blog-item-desc a,
.blog-container > .blog-item .blog-item-desc a {
  text-decoration: none;
}

.blog-container > .blog-item .blog-item-desc a:hover,
.blog-container > .blog-item .blog-item-desc a:hover {
  text-decoration: underline;
}

.blog-container > .blog-item:nth-child(2) .blog-item-desc h3,
.blog-container > .blog-item:nth-child(3) .blog-item-desc h3 {
  font-size: 1.375rem;
  font-weight: 400;
}

.blog-container > .blog-item:nth-child(2) .blog-item-desc span,
.blog-container > .blog-item:nth-child(3) .blog-item-desc span {
  font-size: 0.875rem;
}

.blog-container > .blog-item:nth-child(2) .blog-item-desc p,
.blog-container > .blog-item:nth-child(3) .blog-item-desc p,
.blog-container > .blog-item:nth-child(2) .blog-item-desc a,
.blog-container > .blog-item:nth-child(3) .blog-item-desc a {
  font-size: 1rem;
}

@media (max-width: 992px) {
  .blog-container {
    grid-template-areas:
      "one"
      "two"
      "three";
  }

  .blog-container > .blog-item:nth-child(1) .blog-item-desc h3   {
    font-size: 1.5rem;
  }

  .blog-container > .blog-item:nth-child(1) .blog-item-desc p {
    display: none;
  }
  
  .blog-container > .blog-item:nth-child(1) .blog-item-desc p {
    display: none;
  }

  .blog-container > .blog-item:nth-child(2),
  .blog-container > .blog-item:nth-child(3) {
    flex-direction: column;
    gap: 2rem;
  }

  .blog-container > .blog-item:nth-child(2) img,
  .blog-container > .blog-item:nth-child(3) img {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    object-position: center;
  }
}

/*** Blog ***/
.hero-blog {
  background-image: url(../../img/catalogo/hero-catalogo.webp);
}

.hero-blog .card {
  background-color: rgb(54, 47, 43, 0.8) !important;
  color: var(--white);
}

#blog .card {
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
}

#blog .card:hover {
  transform: translateY(-10px);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
}

.fecha-blog {
  font-weight: 200;
}

.search {
  display: flex;
  align-items: center;
  justify-content: start;
  text-align: center;
}

.search__input {
  font-family: inherit;
  font-size: inherit;
  background-color: #f4f2f2;
  border: none;
  color: #646464;
  padding: 0.7rem 1rem;
  border-radius: 30px;
  width: 12em;
  transition: all ease-in-out 0.5s;
  margin-right: -2rem;
}

.search__input:hover,
.search__input:focus {
  box-shadow: 0 0 1em #00000013;
}

.search__input:focus {
  outline: none;
  background-color: #f0eeee;
}

.search__input::-webkit-input-placeholder {
  font-weight: 100;
  color: #ccc;
}

.search__input:focus + .search__button {
  background-color: #f0eeee;
}

.search__button {
  border: none;
  background-color: #f4f2f2;
  margin-top: 0.1em;
}

.search__button:hover {
  cursor: pointer;
}

.search__icon {
  height: 1.3em;
  width: 1.3em;
  fill: #b4b4b4;
}

/* Detalle Blog */
.post-img {
  position: relative;
}

.overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0));
}

.text-overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  color: var(--white);
}

#blog-content p,
a {
  color: var(--dark);
}
